Subject: git + ssh + key authentication feature-request

From: Nicolas Vilz 'niv' <[email-masked]>
Date: Wed, 08 Feb 2006 23:42:11 +0100

Hi guys,

first of all, great work.

I just discovered git and i like it.

I would like to ask if it is possible to use ssh keys to authenticate 
via ssh on a git repository via git-pull/git-push. Since ssh supports 
them, wouldn't it be nice to use them in git, too?

The layout would be following:

you have a system user with a git-shell and several keys in 
.ssh/authorized_keys ... these are the keys of your contributors. They 
are allowed to login and work with the repository.

I haven't found a posibility to get this. Maybe I haven't discovered it, 
yet...

Sincerly
Nicolas